﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace Kb5887_SampleApp1.Infrastructure
{
    public abstract class ObservableObject : INotifyPropertyChanged
    {
        public ObservableObject()
        {

        }

        public event PropertyChangedEventHandler PropertyChanged;

        public virtual void OnPropertyChanged([CallerMemberName] String propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
